@import "./animations.css";
@import "./scrollbars.css";
@import "./brands.css";

@font-face {
    font-family: 'BeVietnam';
    src: url('./fonts/BeVietnamPro-Regular.woff2') format('woff2'),
        url('./fonts/BeVietnamPro-Regular.woff') format('woff'),
        url('./fonts/BeVietnamPro-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'PPFragment-Glare';
    src: url('./fonts/PPFragment-GlareRegular.woff2') format('woff2'),
        url('./fonts/PPFragment-GlareRegular.woff') format('woff'),
        url('./fonts/PPFragment-GlareRegular.ttf') format('truetype');
}

* {
    margin: 0;
    padding: 0;
    -webkit-tap-highlight-color: transparent;
    user-select: none;
}

.df-text, #copy-section {
    user-select: text;
}

div {
    text-align: justify;
    text-justify: inter-word;
}

div[disabled] {
    opacity: .5;
    pointer-events: none !important;
    cursor: default !important;
}

header {
    position: sticky;
    z-index: 200;
}

body {
    /* font-family: 'Gotham'; */
    font-family: 'BeVietnam';
    overflow: hidden;
    background-color: white;
}

h1, h2, h3, h4, h5, h6, .df-tab, #car-name-big-text, .df-accordion-header {
    font-family: 'PPFragment-Glare';
}

#save-button {
    user-select: none; /* required for chorme mobile */
}

#left-float-container {
    /* float: left;     */
    /* position: absolute; */
    /* left: 0;
    top: 30px; */
    /* padding-left: 5vh; */
}

.logo {   
    width: 100px;
    height: 50px;
    /* padding-left: 81px; */
    cursor: pointer;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

#export-format-container {
    font-size: .65rem;
    position: absolute;
    right: 50px;
    top: 26px;
    line-height: 125%;
}

#export-format-container input {
    vertical-align: middle;
}

#back-button {
    width: 150px;
    height: 40px;
    display: flex;
    flex-direction: row;
    justify-content: left;
    align-items: center;
    background-color: #F5F5F5;
    cursor: pointer;
    margin-top: 25px;
    position:absolute;
}

#back-button-icon {
    width: 20px;
    height: 20px;
    left: 35px;
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
}

#back-button-text {
    position: relative;
    left: 45px;
    font-size: 20px;
    line-height: 25px;
    text-align: center;
    letter-spacing: 0.1em;
    text-transform: uppercase;
}

#right-float-container {
    /* float: right;     */
    /* position: absolute; */
    right: 70px;
    top: 40px;
    width: 250px;
    height: 40px;
    display: flex;
    flex-direction: column;
    justify-content: right;
    align-items: center;
    font-size: 10px;
    text-shadow: 0 0 1px white;
    /* padding-right:5vh; */
}

#car-name-big-text {
    font-size:1rem;
    letter-spacing: 0.02em;
    text-align: center;
    font-weight: bold;
    text-shadow: 0 0 1px white;
}

#homepage {
    width: 100%;
    height: 100%;
    z-index: 100;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
}

#homepage-title-label {
    /* margin-top: 70px; */
    margin-top: 2vh;
    margin-bottom: 2vh;
    width: 100%;
    font-style: normal;
    font-size: 11px;
    text-align: center;
    letter-spacing: 0.02em;
    font-weight: bold;
}

#homepage-segment-container {
    display: flex;
    aspect-ratio: 1.69;
    max-width: 1440px;
    width: 100%;
    height: 100%;
    margin-top: 30px;
    margin-bottom: 10px;
}

.homepage-segment-box {
    position: relative;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    cursor: pointer;
    flex-basis: 33%;
    flex-grow: 1;
    filter: grayscale(1) contrast(.5) brightness(1.5);
    transition: filter .35s ease-out;
}

.homepage-segment-box:hover {
    filter: none;
}

.homepage-segment-text {
    font-style: normal;
    font-size: 14px;
    text-align: center;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    color: #000000;
    font-weight: bold;
}

.homepage-segment-icon {
    width: 40px;
    height: 20px;
    border: none;
    background-size: contain;
    background-repeat: no-repeat;
    background-position-x: center;
    background-color: transparent;
    margin-top: 5px;
}

.segment-title {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5px;
    background: #eeeeee;
}

.loading-circle { 
    position: absolute; 
    width: 55px; 
    height: 55px; 
    margin: auto; 
    border-radius: 50%; 
    left: 0; top: 0; bottom: 0; right: 0;
    background: conic-gradient(white 0%, #999999 5%);
    -webkit-mask: radial-gradient(rgba(0,0,0,0) 22px, white 23px); 
    mask: radial-gradient(rgba(0,0,0,0) 22px, white 23px);
} 

.loading-circle-text {
    width: 55px; 
    height: 55px;
    margin: auto; 
    padding-top: 40px;
    position: absolute;
    left: 0; top: 0; bottom: 0; right: 0;
    font-style: normal;
    font-size: 11px;
    text-align: center;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    color: white;
    font-weight: bold;
}

#homepage-bottom-box {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 10px;
    /* margin-top: 10px; */
    margin-top: 7px;
}

.homepage-bottom-button {
    width: 45px;
    height: 45px;
    border: none;
    cursor: pointer;
    background-size: contain;
    background-repeat: no-repeat;
    background-position-x: center;
    margin-bottom: 20px;
}

#viewer {
    width: 100%; 
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    background-color: inherit;
}

df-three-viewer {
    width: 100%; 
    height: 100%;
    background-color: inherit;
    position: absolute;
}

#viewer-bottom-box {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    position: absolute;
    width: 100%;
    padding-top: 88vh;
    pointer-events: none;
    gap: 10px;
    bottom: 20px;
}

.viewer-bottom-button {
    width: 45px;
    height: 45px;
    border: none;
    cursor: pointer;
    pointer-events: all;
    background-size: contain;
    background-repeat: no-repeat;
    background-position-x: center;
}

.viewer-notification-element {
    position: relative;
    width: 15px;
    height: 15px;
    left: 58%;
    top: 12%;
    border: none;
    pointer-events: all;
    background-size: contain;
    background-repeat: no-repeat;
    background-position-x: center;
}

#notification-element-text {
    position: absolute;
    color: white;
    margin: auto;
    left: 0; top: 1px; bottom: 0; right: 0;
    font-style: normal;
    font-size: 11px;
    text-align: center;
    color: white;
    font-weight: bold;
}

.tabbed-text {
    position: relative;
    padding-top: 3px;
    padding-left: 7.5px;
    padding-right: 7.5px;
    padding-bottom: 5px;
}

df-tabbed-window {
    position: absolute;
    top: 155px;
    right: 80px;
    min-width: 50px;
    min-height: 50px;
    padding: 0;
    border: 1px solid #D9D9D9;
    background-color: white;
    color: #323232;
    width: 450px !important;
    overflow-y: auto;
    margin-bottom: 100px;
}

df-tabbed-window > div {
    padding: 10px;
}

.df-close-button {
    background-color: #F5F5F5 !important;
    padding: 10px 15px !important;
}

.df-header {
    border-bottom: 1px solid #D9D9D9;
    position: sticky;
    top: 0px;
    background-color: inherit;
    z-index: 1;
}

.df-accordion-header {
    border-top: 1px solid #D9D9D9;
    padding-top: 15px;
    padding-bottom: 12.5px;
    font-weight: bold;
}

.df-accordion-header span{
    text-transform: capitalize;
}

.df-tab {
    padding: 10px 15px;
    text-transform: capitalize;
    user-select: none;
    cursor: pointer;
    border-right: 1px solid #D9D9D9;
    overflow-x: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-weight: bold;
    font-size: 15px;
    letter-spacing: 0.1em;
    background-color: #EEEEEE;
}

.df-tab[selected] {
    background-color: white;
    flex-grow: 1;
    flex-shrink: 0;
}

.df-tab:hover {
    background-color: white;
}

.df-underline-text {
    text-align: left;
    color: #000000;
    margin-top: 5px;
    margin-bottom: 5px;
    cursor: pointer;
    font-style: normal;
    font-weight: 500;
    font-size: 15px;
    line-height: 26px;
    letter-spacing: 0.02em;
    text-decoration-line: underline;
}

.df-underline-text-upercase {
    font-style: normal;
    font-weight: bold;
    font-size: 13px;
    text-align: left;
    letter-spacing: 0.1em;
    text-transform: uppercase;   
    color: #000000;
    text-decoration: underline;
    margin-top: 5px;
    margin-bottom: 5px;
    cursor: pointer;
}

.df-close-button { 
    background-color: white !important;
    padding: 10px 15px !important; 
}

.df-text {
    margin-top: 5px;
    margin-left: 3px;
    margin-right: 3px;
    margin-bottom: 13px;
}

.df-icon {
    width: 17px;
    height: 17px;
}

.df-link {
    color: #000000;
}

.clickable-graph {
    width: 290px;
    display: block; 
    margin: 5px auto;
    cursor: pointer;
}

#graph-container {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.75);
    z-index: 300;
}

#graph-img-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#graph-img {
    position: relative;
    width: 40vw;
    aspect-ratio: 1;
    background-size: contain;
    background-repeat: no-repeat;
    background-position-x: center;
}

#bookmark {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 300;
}

#bookmark-background {
    background: rgba(0, 0, 0, 0.75);
    width: 100%;
    height: 100%;
    display: flex;
    align-items: end; 
}

#bookmark-container {
    flex-direction: column;
    position: absolute;
    background: white;
    height: 100%;
    width: 500px;
    right: 0;
}

df-bookmark-window {
    width: unset !important;
    overflow-y: auto;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 70px;
}

#bookmark-container div[df-section] {
    padding: 0 15px;
}

#bookmark-save-button-container {  
    width: 100%;
    height: 100px;
    border-top: 1px solid #D9D9D9;
    top: calc(100% - 80px);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

#bookmark-save-button {
    height: 40px;
    width: calc(100% - 80px);
    cursor: pointer;
    background-color: #D9D9D9;
    position: absolute;
    border-radius: 5px;
    bottom: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#bookmark-save-button-text {
    padding-right: 5px;
    font-size: 15px;
    text-align: center;
    font-weight: bold;
    text-transform: capitalize;
}

#bookmark-save-button-icon {
    width: 20px;
    height: 20px;
    border: none;
    background-size: contain;
    background-repeat: no-repeat;
    background-position-x: center;
}

#search {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 300;
}

#search-background {
    background: rgba(0, 0, 0, 0.75);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center; 
    justify-content: first baseline;
}

#search-container {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    position: absolute;
    background: white;
    top: 25%;
    border-radius: 5px;
}

#search-input-container {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: start;
}

#search-icon {
    width: 50px;
    height: 50px;
    border: none;
    background-size: contain;
    background-repeat: no-repeat;
    background-position-x: center;
    margin-left: 10px;
    margin-right: 5px;
    margin-top: 15px;
}

#search-input {
    position: relative;
    height: 50px;
    width: calc(100vw / 3);
    border: none;
    outline: none;
    background: #EEEEEE;
    border-radius: 5px;
    font-size: 15px;
    text-transform: capitalize;
    padding-left: 10px;
    margin-top: 15px;
    margin-right: 30px;
    margin-bottom: 15px;
}

#search-result-container {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: left;
    width: 100%;
    overflow-y: auto;
}

#search-result {
    margin-top: 5px;
    margin-left: 10px;
    margin-right: 20px;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
}

#search-result:hover {
    background-color: #EEEEEE;
}

.search-result-grey-text {
    font-size: 17px;
    font-weight: bold;
    text-transform: capitalize;
    color : #999999;
    margin-bottom: 5px;
}

.search-result-black-text {
    font-size: 17px;
    font-weight: bold;
    text-transform: capitalize;
    color: #000000;
}

#device-rotation-overlay {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0, .8);
    z-index: 10000000;
    display: flex;
    align-items: center;
    justify-content: center;
}

#device-rotation-overlay-message {
    min-width: 100px;
    min-height: 100px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    /* background-color: white; */
    /* border-radius: 6px; */
}

#device-rotation-overlay-message > img {
    width: 64px;
    height: 64px;
    margin: 10px;
}

#viewer-tag-sections {
    display: flex;
    gap: 5px;
    pointer-events: all;
}

.Eco {
    background-color: #eeeeee;
    background-image: url(../img/viewer/leaf.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 70%;
    border-radius: 2px;
}

.Tag[checked] {
    background-color: #cbffde;
}

@media only screen and (height < 950px) {
    #homepage-segment-container {
        max-width: 1280px;
        max-height: 900px;
    }
}

@media only screen and (height < 800px) {
    #homepage-segment-container {
        max-width: 810px;
        max-height: 470px;
    }
}

@media only screen and (height < 700px) {
    #homepage-segment-container {
        max-width: 810px;
        max-height: 470px;
        width: 100%;
        height: 80%;
    }
    
    #left-float-container {
        top: 10px;
    }

    .logo{
        width: 100px;
        height: 50px;
        background-position: center;
    }

    /* #homepage-title-label {
        font-size: 11px;
        margin-top:  50px;
    } */

    #car-name-big-text {
        /* font-size: 10px; */
    }

    df-tabbed-window {
        min-width: 50px;
        min-height: 50px;
        padding: 0;
        max-width: 300px;
        margin-bottom: 100px;
        right: 20px;

    }

    .df-accordion-header {
        font-size: 13px;
    }

    #homepage-bottom-box {
        margin-top: 0px;
    }

    .segment-title {
        height: 25px;
    }

    .homepage-segment-text {
        font-size: 10px;
    }
    
    .homepage-segment-box{
        height: 100%;
        width:100%;
    }

    .homepage-bottom-button {
        width: 30px;
        height: 30px;
        margin-bottom: 20px;
    }

    .df-text {
        font-size: 13px;
    }

    .df-text, #copy-section {
        font-size: 13px;
    }

    .df-link {
        font-size: 13px;
    }

    .df-underline-text {
        font-size: 13px;
    }

    #back-button {
        width: 85px;
        height: 25px;
    }

    #back-button-icon {
        width: 10px;
        height: 10px;
        left: 15px;
    }

    #back-button-text {
        left: 20px;
        font-size: 12px;
    }

    .viewer-bottom-button {
        width: 30px;
        height: 30px;
    }

    #bookmark-container {
        width: 350px;
    }

    .df-tab {
        padding-top: 13px;
        font-size: 12px;
    }

    #bookmark-save-button {
        justify-content: start;
    }

    #bookmark-save-button-text{
        padding-left: 50px;
    }

    #search-input-container {
        height: 40px;
    }
    
    #search-icon {
        width: 30px;
        height: 30px;
        margin-top: 5px;
    }

    #search-input {
        height: 25px;
        margin-top: 7px;
    }

    #search-container {
        top: 13%;
    }

    .clickable-graph {
        width: 150px;
    }

    #right-float-container{
        top: 20px;
    }
}

#card-container-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 80vw;
}

#homepage-card-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.homepage-card-title {
    width: 100%;
    height: auto;
    position: absolute;
    bottom: 19px;
    text-align: center;
    color: white;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: center;
    backdrop-filter: blur(2px);
    background-color: rgba(0, 0, 0, 0.7);
}


.card-row {
    display: flex;
    width: 100%;
    justify-content: space-between;
    gap: 20px;
}

@media only screen and (max-width: 768px) {
    .card-row {
        flex-direction: column;
        gap: 20px;
    }

    .homepage-card {
        width: 100%;
        height: auto;
    }

    .homepage-card-title {
        font-size: 14px;
    }
}



.homepage-card {
    width: 100%;
    height: 100%;
    aspect-ratio: 16 / 9;
    border-radius: 1rem;
    filter: grayscale(1) contrast(.5) brightness(1.5);
    transition: filter .35s ease-out;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    margin: 10px;
    position: relative;
}


.homepage-card:hover {
    filter: grayscale(0) contrast(1) brightness(1);
}

/* #back-btn {
    position: absolute;
    left: 0;
    button:;
} */

#header-container {
    width:100vw;
    display:flex;
    /* padding: 20px; */
    position:fixed;
    top:0;
    padding:1vw;
    justify-content: space-between;
    align-items: center;
    text-wrap: nowrap;

    background-color: white;

    /* padding-right: 20px;
    padding-left: 20px; */

}

input[type="checkbox"] {
    width: 40px;
    height: 20px;
    appearance: none;
    border-radius: 10px;
    background: silver;
    position: relative;
    cursor: pointer;
}

input[type="checkbox"]:checked {
    background: #2196F3;
}

input[type="checkbox"]::after {
    content: "";
    position: absolute;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background: white;
    left: 1px;
    top: 1px;
    transition: all .15s ease-out;
}

input[type="checkbox"]:checked::after {
    left: 21px;
}
  
@media only screen and (max-width: 500px) {
    #card-container-container {
        width: 80vw;
        /* margin-top: 17vh; */

    }

    .homepage-card-title {

        height: 30px;
        overflow: hidden;


    }

    #homepage-fullscreen-button {
        display: none;
    }

    #homepage-card-container {

        justify-content: normal;
        height: 85vh;


    }

    .card-row {
        flex-direction: column;
        gap: 10px;

    }

    .homepage-card {
        margin: 1vw;
        margin-bottom: 5vh;
        filter: grayscale(1) contrast(.5) brightness(1.5);

    }

    /* .homepage-card:cl */

    #homepage-bottom-box {
        display: none;
    }

    #header-container {
        /* display:flex; */
        /* margin-top:10px;
        margin:10px;
        margin-bottom: 20px;
        margin-right: 3vw; */
        /* margin-left:3vw; */
        /* justify-content: space-between; */
        position:fixed;
        top:0;
        padding:1vw;
        /* width: 100vw; */
        /* padding-right: 20px;
        padding-left: 20px; */

        /* align-items: center;
        text-wrap: nowrap; */
    }

    body {
        overflow: auto;
    }

    #viewer {
        /* top: 30vh; */
    }

    
    #right-float-container{
        /* top: 20px; */
        /* position: absolute; */
        height:100%;
    }

    df-tabbed-window {
        width: 77vw !important;
        top: 52vw !important;
    }

}



